clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
GoogleTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "../readability/BracesAroundStatementsCheck.h"`
`#include "../readability/FunctionSizeCheck.h"`
`#include "../readability/NamespaceCommentCheck.h"`
`#include "../readability/RedundantSmartptrGetCheck.h"`
`#include "AvoidCStyleCastsCheck.h"`
`#include "ExplicitConstructorCheck.h"`
`#include "ExplicitMakePairCheck.h"`
`#include "GlobalNamesInHeadersCheck.h"`
`#include "IntegerTypesCheck.h"`
`#include "MemsetZeroLengthCheck.h"`
`#include "OverloadedUnaryAndCheck.h"`
`#include "StringReferenceMemberCheck.h"`
`#include "TodoCommentCheck.h"`
`#include "UnnamedNamespaceInHeaderCheck.h"`
`#include "UsingNamespaceDirectiveCheck.h"`
Include dependency graph for GoogleTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::google::GoogleModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::google

## Functions
static ClangTidyModuleRegistry::Add < GoogleModule > | clang::tidy::google::X ("google-module","Adds Google lint checks.")

## Variables
volatile int | clang::tidy::GoogleModuleAnchorSource = 0